com.trendmicro.ds.appcontrol.rest.api

## Interface ITrustedUpdateModeAPI

-     @Path(value="/hosts")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface ITrustedUpdateModeAPI

  Interface to the Trusted Update Mode API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescribeTrustedUpdateModeResponse` | `describeTrustedUpdateMode(java.lang.String sessionID, java.lang.Integer hostID)` Get the settings for trusted update mode on a host.
    `void` | `modifyTrustedUpdateMode(java.lang.String sessionID, java.lang.Integer hostId, ModifyTrustedUpdateModeRequest request)` Modify the settings for trusted update mode on a host.

- - ### Method Detail

    - #### modifyTrustedUpdateMode

          @POST
           @Path(value="{hostID}/trusted-update-mode")
          void modifyTrustedUpdateMode(@CookieParam(value="sID")
                                                                                          java.lang.String sessionID,
                                                                                          @PathParam(value="hostID")
                                                                                          java.lang.Integer hostId,
                                                                                          ModifyTrustedUpdateModeRequest request)
                                                                                   throws java.lang.Exception

      Modify the settings for trusted update mode on a host.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `hostID` - the host ID.
        `request` - a `ModifyTrustedUpdateModeRequest` capturing the requested new state of trusted update mode on the host.
      Throws:
        `java.lang.Exception`

    - #### describeTrustedUpdateMode

          @GET
           @Path(value="{hostID}/trusted-update-mode")
          DescribeTrustedUpdateModeResponse describeTrustedUpdateMode(@CookieParam(value="sID")
                                                                                                                        java.lang.String sessionID,
                                                                                                                        @PathParam(value="hostID")
                                                                                                                        java.lang.Integer hostID)
                                                                                                                 throws java.lang.Exception

      Get the settings for trusted update mode on a host.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `hostID` - the host ID.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.